<?php
include("/var/www/2a685b61-ba1a-4056-abd9-0883231735ff/public_html/monzaclube/config.php");
$conecta = new mysqli(BD_HOST,BD_USUARIO,BD_SENHA,BD_BANCO);

$idEvento = $_GET['id'];
$offset = isset($_GET['offset']) ? (int)$_GET['offset'] : 0;
$limit = 4; 

$sql = $conecta->query("SELECT id, imagem FROM fotos WHERE id_evento = '$idEvento' LIMIT $limit OFFSET $offset");
$foto = array();  // Inicialize o array de fotos corretamente

while ($consulta = $sql->fetch_assoc()) {
    $foto[] = [
        'id' => $consulta['id'],
        'imagem' => $consulta['imagem']
    ];
}

$json_string = json_encode($foto);

echo $json_string;
exit;
?>
